Dashboard - Feature #25156

mgr/dashboard: Erasure code profile management
07/30/2018 01:47 PM - Stephan Mller

Status: Resolved % Done: 100%
Priority: Normal

Assignee: Stephan Muller

Category: Component - Pools

Target version: v14.0.0

Source: Reviewed:

Tags: Affected Versions:
Backport: Pull request ID:

Description

The dashboard should support managing Erasure code profiles, e.g. list all existing ones, create new ones and delete existing ones.

The creation should allow to select the EC plugin as well as all other features as described here:
http://docs.ceph.com/docs/master/rados/operations/erasure-code-profile/

Related issues:

Related to Dashboard - Tasks #36467: mgr/dashboard: Add a unit test form help... Resolved
Related to Dashboard - Bug #36468: mgr/dashboard: Table key component does no... Resolved
History

#1 - 08/02/2018 08:23 AM - Stephan Miiller

- Status changed from New to In Progress

#2 - 08/02/2018 08:23 AM - Stephan Miiller

- Assignee set to Stephan Miller

#3 - 08/02/2018 08:24 AM - Stephan Miiller
- % Done changed from 0 to 30

#4 - 09/19/2018 07:34 AM - Stephan Miiller
- Subject changed from Erasure code profile management to mgr/dashboard: Erasure code profile management

- Description updated

#5 - 09/19/2018 07:34 AM - Stephan Miiller

- Target version set to v14.0.0

#6 - 09/19/2018 07:49 AM - Stephan Miiller
- % Done changed from 30 to 60

#7 - 10/16/2018 02:48 PM - Stephan Miiller
- Related to Tasks #36467: mgr/dashboard: Add a unit test form helper to easily test forms added

#8 - 10/16/2018 03:04 PM - Stephan Miiller
- Related to Bug #36468: mgr/dashboard: Table key component does not support class objects added

#9 - 10/17/2018 10:02 AM - Ricardo Marques

- Status changed from In Progress to Fix Under Review
http://docs.ceph.com/docs/master/rados/operations/erasure-code-profile/

#10 - 10/23/2018 02:46 PM - Tatjana Dehler
https://github.com/ceph/ceph/pull/24627

#11 - 11/09/2018 03:31 PM - Lenz Grimmer
- Status changed from Fix Under Review to Resolved

- % Done changed from 60 to 100
#12 - 04/15/2021 05:25 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 137 to Component - Pools
